[package]
name = "geneit_backend"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
log = "0.4.20"
env_logger = "0.10.1"
clap = { version = "4.4.10", features = ["derive", "env"] }
lazy_static = "1.4.0"
anyhow = "1.0.75"
actix-web = "4.4.0"
actix-cors = "0.6.4"
actix-multipart = "0.6.1"
actix-remote-ip = "0.1.0"
futures-util = "0.3.29"
diesel = { version = "2.1.4", features = ["postgres"] }
serde = { version = "1.0.193", features = ["derive"] }
serde_json = "1.0.108"
mailchecker = "6.0.1"
redis = "0.23.3"
lettre = "0.11.2"
rand = "0.8.5"
bcrypt = "0.15.0"
light-openid = "1.0.1"
thiserror = "1.0.50"
serde_with = "3.4.0"
rust_iso3166 = "0.1.11"
rust-s3 = "0.33.0"
sha2 = "0.10.8"
image = "0.24.7"
uuid = { version = "1.6.1", features = ["v4"] }
httpdate = "1.0.3"
zip = "0.6.6"
mime_guess = "2.0.4"
tempfile = "3.8.1"
base64 = "0.21.5"
